<form action="/question/new" method="POST">
    <div class="container-fluid">
        <div class="text-center">
            <h3>I want to create a...</h3>
        </div>
        <div class="row justify-content-center">
            <div class="col-5 offset-1 card card-body">

                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input class="form-check-input" type="radio" name="question_info"
                            value='{"id_question_type": 2}' checked>
                        New SQL question
                    </label>
                </div>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input class="form-check-input" type="radio" name="question_info"
                            value='{"id_question_type": 21}'>
                        New JSON question
                    </label>
                </div>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input class="form-check-input" type="radio" name="question_info"
                            value='{"id_question_type": 27}'>
                        New R/RMD question
                    </label>
                </div>
                <% for(let i = 0; i < programming_languages.filter(x => x.name.toUpperCase().indexOf('SQL') < 0).length; i++) { %>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input class="form-check-input" type="radio" name="question_info" id="question_info_<%= i %>"
                            value='{"id_question_type": <%= programming_languages[i].id_type %>, "id_programming_languages": [<%= programming_languages[i].id %>]}'
                            <%- (i === 0) ? "checked" : "" %>>
                        New <%= programming_languages[i].name %> question
                    </label>
                </div>
                <% } %>

                <% if(programming_languages.length > 1) { %>
                <hr>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input class="form-check-input" type="radio" name="question_info" id="multilanguage-radio"
                            value='{"id_question_type": 23}'>
                        New Multilanguage question
                    </label>
                </div>
                <div id="languages-combodata" class="form-group hidden">
                    <label for="programming_languages">... for languages:</label>
                    <select multiple class="form-control" id="programming_languages" name="programming_languages">
                        <% for (i = 0; i < programming_languages.length; ++i) { %>
                        <option value="<%= programming_languages[i].id %>" selected>
                            <%= programming_languages[i].name %> </option>
                        <% } %>
                    </select>
                </div>
                <hr>
                <% } %>
                <div class="form-check form-check-inline">
                    ... having code runner:
                    <%  locals.combodata = {id:"id_code_runner", list:code_runners, name:"id_code_runner"}; %>
                    <%- include(`${locals.partialsRoot}/combo`) %>
                </div>
                <hr>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input type="hidden" name="answers_count" id="answers_count" value="5">
                        <input class="form-check-input" type="radio" name="question_info" id="id_question_type5"
                            value='{"id_question_type": 1}'>
                        New multiple-choice question with
                        <div class="btn-group">
                            <button id="dropdownMenuButtonNoOfAnswers" type="button"
                                class="btn btn-light dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                5
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="#">2</a>
                                <a class="dropdown-item" href="#">3</a>
                                <a class="dropdown-item" href="#">4</a>
                                <a class="dropdown-item" href="#">5</a>
                                <a class="dropdown-item" href="#">6</a>
                                <a class="dropdown-item" href="#">7</a>
                                <a class="dropdown-item" href="#">8</a>
                                <a class="dropdown-item" href="#">9</a>
                                <a class="dropdown-item" href="#">10</a>
                            </div>
                        </div>
                        answers.
                    </label>
                </div>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input class="form-check-input" type="radio" name="question_info" id="id_question_type3"
                            value='{"id_question_type": 20}'>
                        <!--drugi id staviti u bazi i tu-->
                        New free text question
                    </label>
                </div>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input class="form-check-input" type="radio" name="question_info" id="id_question_type4"
                            value='{"id_question_type": 25}'>
                        <!--drugi id staviti u bazi i tu-->
                        New peer assessment calibration question
                    </label>
                </div>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input class="form-check-input" type="radio" name="question_info" id="id_question_type5"
                            value='{"id_question_type": 26}'>
                        <!--drugi id staviti u bazi i tu-->
                        New scale question (questionnaire)
                    </label>
                </div>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input class="form-check-input" type="radio" name="question_info" id="id_question_type6"
                            value='{"id_question_type": 7}'>
                        New True/False question
                    </label>
                </div>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input type="hidden" name="answers_count" id="answers_count" value="5">
                        <!--input type="hidden" name="cards_count" id="cards_count" value="5"-->
                        <input class="form-check-input" type="radio" name="question_info" id="id_question_type7"
                            value='{"id_question_type": 8}'>
                        New Ordered elements question with
                        <div class="btn-group">
                            <button id="dropdownMenuButtonNoOfCards" type="button"
                                class="btn btn-light dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                5
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="#">2</a>
                                <a class="dropdown-item" href="#">3</a>
                                <a class="dropdown-item" href="#">4</a>
                                <a class="dropdown-item" href="#">5</a>
                                <a class="dropdown-item" href="#">6</a>
                                <a class="dropdown-item" href="#">7</a>
                                <a class="dropdown-item" href="#">8</a>
                                <a class="dropdown-item" href="#">9</a>
                                <a class="dropdown-item" href="#">10</a>
                            </div>
                        </div>
                        cards.
                    </label>
                </div>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input type="hidden" name="cards_count1" id="cards_count1" value="5">
                        <input class="form-check-input" type="radio" name="question_info" id="id_question_type9"
                            value='{"id_question_type": 9}'>
                        <!--drugi id staviti u bazi i tu-->
                        New Connected elements question with
                        <div class="btn-group">
                            <button id="dropdownMenuButtonNoOfConnectionCards1" type="button"
                                class="btn btn-light dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                5
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="#">2</a>
                                <a class="dropdown-item" href="#">3</a>
                                <a class="dropdown-item" href="#">4</a>
                                <a class="dropdown-item" href="#">5</a>
                                <a class="dropdown-item" href="#">6</a>
                                <a class="dropdown-item" href="#">7</a>
                                <a class="dropdown-item" href="#">8</a>
                                <a class="dropdown-item" href="#">9</a>
                                <a class="dropdown-item" href="#">10</a>
                            </div>
                        </div>
                        static answers and ADDITIONAL
                        <input type="hidden" name="cards_count2" id="cards_count2" value="0">
                        <div class="btn-group">
                            <button id="dropdownMenuButtonNoOfConnectionCards2" type="button"
                                class="btn btn-light dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                0
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="#">0</a>
                                <a class="dropdown-item" href="#">1</a>
                                <a class="dropdown-item" href="#">2</a>
                                <a class="dropdown-item" href="#">3</a>
                                <a class="dropdown-item" href="#">4</a>
                                <a class="dropdown-item" href="#">5</a>
                            </div>
                        </div>
                        dynamic answers.
                    </label>
                </div>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <input class="form-check-input" type="radio" name="question_info" id="id_question_type11"
                            value='{"id_question_type": 11}'>
                        Diagram question (B-Tree, Sequence diagram, State diagram, ...)
                    </label>
                </div>
            </div>
            <div class="col-5 card card-body ml-1">
                ...and assign it to the following nodes (at least one has to be set!):
                <div class="mt-4">
                    <select name="node1" class="form-control custom-select chosen-select">
                        <% for (i = 0; i < nodes.length; ++i) { %>
                        <option value="<%= nodes[i].id %>">
                            <%= nodes[i].type_name + ' - ' + nodes[i].node_name %></option>
                        <% } %>
                    </select>
                    <select name="node2" class="form-control custom-select chosen-select">
                        <% for (i = 0; i < nodes.length; ++i) { %>
                        <option value="">Please select</option>
                        <option value="<%= nodes[i].id %>">
                            <%= nodes[i].type_name + ' - ' + nodes[i].node_name %></option>
                        <% } %>
                    </select>
                    <select name="node3" class="form-control custom-select chosen-select">
                        <% for (i = 0; i < nodes.length; ++i) { %>
                        <option value="">Please select</option>
                        <option value="<%= nodes[i].id %>">
                            <%= nodes[i].type_name + ' - ' + nodes[i].node_name %></option>
                        <% } %>
                    </select>
                    <select name="node4" class="form-control custom-select chosen-select">
                        <option value="">Please select</option>
                        <% for (i = 0; i < nodes.length; ++i) { %>
                        <option value="<%= nodes[i].id %>">
                            <%= nodes[i].type_name + ' - ' + nodes[i].node_name %></option>
                        <% } %>
                    </select>
                </div>
            </div>

        </div>
        <div class="f-flex justify-content-center mt-3 mb-3">
            <div class="d-flex justify-content-center align-items-center mb-2">
              <label class="mr-2" for="use_template">
                  Use templates (programmable question text)
                <a target="_blank" href="/help/questiontemplate"><i class="fas fa-question-circle"></i></a>
                </label>
              <div id="use_template" title="Use handlebars template engine to produce question text">
                <input class="form-control " type="checkbox" name="use_template" value="false"
                data-toggle="toggle">
              </div>
            </div>
            <div class="d-flex justify-content-center align-items-center mb-2">
              <label class="mr-2" for="use_template">
                  Custom evaluation script (programmable scoring)
                  <a target="_blank" href="/help/questionscript"><i class="fas fa-question-circle"></i></a>
              </label>
              <div id="use_script" title="Provide a custom eval script to alter the default score">
                <input class="form-control " type="checkbox" name="use_script" value="false"
                data-toggle="toggle">
              </div>
            </div>
        </div>
        <div class="row mt-2 justify-content-center">
            <button id="btnCreateQuestion" type="submit" class="btn btn-success" name="scripted"
                value="non-scripted">Create new
                question</button>
        </div>
    </div>
</form>
